=== debian/control ===
Source: kf6-prison
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libdmtx-dev,
               libqrencode-dev,
               libxkbcommon-dev,
               libzxing-dev (>= 2.0~),
               pkg-kde-tools (>= 0.17.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
Rules-Requires-Root: no

Package: libkf6prison-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6prison6 (= ${binary:Version}),
         libkf6prisonscanner6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6prison-doc (= ${source:Version}),
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf6prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6prison6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf6prisonscanner6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: barcode API for Qt - barcode scanner
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library for scanning barcodes to be used by
 applications.

Package: qml6-module-org-kde-prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made to support more.
 .
 This package contains the Prison Qt Quick QML bindings.
