## kf6-prison 6.6.0

=== debian/changelog ===
kf6-prison (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:07 +0100

kf6-prison (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:23 +0100

kf6-prison (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:40 +0100
