=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kf6-prison
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
@@ -20,8 +21,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/prison
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
 Rules-Requires-Root: no
 
 Package: libkf6prison-dev
