=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
@@ -31,6 +32,7 @@
 Multi-Arch: same
 Depends: libkf6prison6 (= ${binary:Version}),
          libkf6prisonscanner6 (= ${binary:Version}),
+         qml6-module-org-kde-prison (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6prison-doc (= ${source:Version}),
@@ -80,7 +82,9 @@
 Package: qml6-module-org-kde-prison
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made to support more.
