=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
