=== src/tools/CMakeLists.txt ===
add_executable(prison-datamatrix prison-datamatrix.cpp)
target_link_libraries(prison-datamatrix KF6::Prison)
