=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
